# -*- coding: utf-8 -*-
# Runge-Kutta 4 Verfahren für Räuber-Beute-Modell
# d/dt x = a*x-b*x*y
# d/dt y= -d*y+c*x*y
import numpy as np
import matplotlib.pyplot as plt
import time

a = 2.0 #Reproduktionsrate der Beutepopulation p1 (ohne Räuber mit unendlichen Nahrungsresourcen)
d = 0.8 #
b = 0.02 #Sterberate der Beute pro Räuber ~ Fressrate der Räuber pro Beute
c = 0.0002 #Reproduktionsrate der Räuber pro Beute
p = np.array([5000.0,120.0]) #Anfangsbedingungen, 5000 Beutetiere, 120 Räuber

x1 = np.linspace(-100.0,6000.0)
y1 = np.linspace(-100.0,200.0)
x1, y1=np.meshgrid(x1, y1)
vx=x1*(a-b*y1)
vy=-y1*(d-c*x1)


fig1 = plt.figure(1)   

plt.plot(d/c,a/b, marker='o', markersize=10, markeredgecolor='m',mfc='None',markeredgewidth=2)
plt.plot(0,0,'ro', markersize=10, markeredgecolor='r',mfc='None',markeredgewidth=2)

plt.streamplot(x1,y1,vx,vy,color='b',linewidth=2)	
plt.xlim([-100,6000.0])
plt.ylim([-100,200.0])	


plt.show()
